--- mkinitrd-2.8.7/mkinitrd.alt-rootraid	2003-03-24 19:07:31 +0300
+++ mkinitrd-2.8.7/mkinitrd	2003-07-09 15:48:39 +0400
@@ -82,6 +82,7 @@
 noraid=
 pause=
 MODULES=
+HAVE_RAID=
 
 MODULES_CONF=/etc/modules.conf
 FSTAB_FILE=/etc/fstab
@@ -226,6 +227,7 @@
 	[ -z "$noraid" ] || return
 
 	if /bin/grep -s '^/dev/md' "$FSTAB_FILE" |/bin/fgrep -v noauto >/dev/null 2>&1; then
+		HAVE_RAID=1
 		FindModule -md
 		for number in $(/bin/grep '^[ 	]*raid-level' /etc/raidtab |
 			  /bin/awk '{print $2}' |LC_COLLATE=C /bin/sort -u); do
@@ -394,6 +396,14 @@
 EOF
 	done
 
+	if [ -n "$HAVE_RAID" ]; then
+		Mknod "$MNTDIR/dev/md0" b 9 0
+		Ln -s sh "$MNTDIR/bin/raidautorun"
+		/bin/cat >>"$RCFILE" <<EOF
+/bin/raidautorun /dev/md0
+EOF
+	fi
+
 	if [ -n "$loopDev" ]; then
 		Cp -aL "$loopDev" $MNTDIR/safedev
 		Cp -aL /dev/loop7 $MNTDIR/safedev
